Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Hybrid/vtkSphereWidget.h File Reference

`#include "vtk3DWidget.h"`
`#include "vtkSphereSource.h"`

Include dependency graph for vtkSphereWidget.h:

Go to the source code of this file.

## Compounds

class | vtkSphereWidget
| 3D widget for manipulating a sphere More...

## Defines

#define | VTK_SPHERE_OFF 0
#define | VTK_SPHERE_WIREFRAME 1
#define | VTK_SPHERE_SURFACE 2

## Define Documentation

#define VTK_SPHERE_OFF 0

| Definition at line 91 of file vtkSphereWidget.h. Referenced by vtkSphereWidget::SetRepresentationToOff().

#define VTK_SPHERE_WIREFRAME 1

| Definition at line 92 of file vtkSphereWidget.h. Referenced by vtkSphereWidget::SetRepresentationToWireframe().

#define VTK_SPHERE_SURFACE 2

| Definition at line 93 of file vtkSphereWidget.h. Referenced by vtkSphereWidget::SetRepresentationToSurface().